local CancelPet = CreateFrame("Frame", nil, UIParent)
CancelPet:RegisterEvent("PET_BATTLE_OPENING_START")

StaticPopupDialogs["NO_RARE_PET"] = {
    text = "No rare pet found! Cancel Fight?",
    button1 = "Keep Fighting",
    button2 = "Forfeit",
    maxLetters = 30,
    whileDead = false,
    OnCancel = function(self)
    C_PetBattles.ForfeitGame();
    end,
    timeout = 0,
    exclusive = 1,
    hideOnEscape = 1,
    preferredIndex = 3,
};

function CheckPet(frame, event, ...)
    
    local message = "|cff33ff99Pets in the opposing team|r: "
    
    for i=1,C_PetBattles.GetNumPets(2) do
        message = message .. ITEM_QUALITY_COLORS[C_PetBattles.GetBreedQuality(2,i)-1].hex..C_PetBattles.GetName(2,i).."|r, "
    end
    
    SELECTED_CHAT_FRAME:AddMessage(message)
    
    if C_PetBattles.GetBreedQuality(2,1) < 4 and C_PetBattles.GetBreedQuality(2,2) < 4 and C_PetBattles.GetBreedQuality(2,3) < 4 then
            if C_PetBattles.IsPlayerNPC(LE_BATTLE_PET_ENEMY) then
                StaticPopup_Show("NO_RARE_PET")
            end
    end
end

CancelPet:SetScript("OnEvent", CheckPet)